workflow:
  # Run pipelines for:
  #  1. Zuul triggered pipelines
  rules:
    - if: $CI_PIPELINE_SOURCE == 'api' && $ZUUL_BUILD
      variables:
        GIT_STRATEGY: none
        ZUUL_SRC_DIR: /src/build/${ZUUL_BUILD}

default:
  image: eeacms/rsync
  before_script:
    - ls -Rl .
    - mkdir -p ${ZUUL_SRC_DIR}
    - rsync -rlvt --delete rsync://zuul-executor.local.wmftest.net/builds/${ZUUL_BUILD}/work/src/ ${ZUUL_SRC_DIR}/
    - cd ${ZUUL_SRC_DIR}

stages:
  - test

test:
  stage: test
  script:
    - ls -Rl .
